Subject: Re: [bug#75036] [PATCH]: Update hyprland to 0.46.2

From: John Kehayias <[email-masked]>
Date: Wed, 01 Jan 2025 20:19:19 +0000

Hi Jakob,

On Sun, Dec 22, 2024 at 11:22 PM, Jakob Kirsch wrote:

> This bumps hyprland and related packages to the newest version.

Great, thanks! Was just about to do the updates when I figured to search
if anyone had done it already.

I split these up into separate commits (one add/update per commit),
alphabetized and reformated the inputs for hyprgraphics, and did the
relevant commit changelogs. All were easy, just needed to specify the
input changes for hyprland.

See commits:

<https://git.savannah.gnu.org/cgit/guix.git/commit/?id=c3ab9a16b746c9f8e10ec3721b3555f10efd1ab0>

<https://git.savannah.gnu.org/cgit/guix.git/commit/?id=7e61bf78fa44299c6375f4577d1c5a02a8844596>

<https://git.savannah.gnu.org/cgit/guix.git/commit/?id=9a36d48e11c93b8d77abc62a3a1368d74671f681>

<https://git.savannah.gnu.org/cgit/guix.git/commit/?id=ce44a0922979d2ade902638afb9b0d28b160def0>

for details for your future reference.

> committer.scm is broken with this patch so someone would have to fix
> that.

I guess I don't use that file or at least not explicitly (no problems
here). If you, or someone, haven't already, please submit a bug
report/patch.

Thanks again!
John